/* Partially used CommunityPro Template */
/* CommunityPro for base template, design altered by my hand coding as well as web document resources, some code cleanup by AI */
/* Each page has been personally designed to reflect a retrofuturistic layout, 
including Frutiger Aero. 
I haven't used any reference websites, 
except I was insired by 2000s UI and Apple IOS 26. */

/* @font-face {
  font-family: "MyFont";
  src: url("fonts/Minecraft.otf") format("opentype");
}

@font-face {
  font-family: "MyFont2";
  src: url("fonts/Minecraft-Bold.otf") format("opentype");
} */
@import url("https://fonts.googleapis.com/css2?family=Syne:wght@400..800&display=swap");

@font-face {
  font-family: "Minecraft";
  src: url("/fonts/Minecraft.otf") format("opentype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Minecraft2";
  src: url("/fonts/Minecraft-Bold.otf") format("opentype");
  font-weight: normal;
  font-style: normal;
}

/* https://hype4.academy/tools/glassmorphism-generator Link to the glass effect code I used */
html {
  overflow-x: hidden;
}

.main-logo img {
  display: block;
  max-width: 100%;
  height: auto;
}
/* keeping all intro contents the same */
h1,
h2,
h5,
.btn,
.profile-image {
  max-width: 100%;
  box-sizing: border-box;
}

body {
  margin: 0;
  overflow-x: hidden;
  background-image: url("/images/background20263.png");
  background-position: center;
  background-size: cover;
  cursor:
    url("/favicon/favicon2.ico") 2 1,
    auto;
  display: flex;
  flex-direction: column;
  min-height: 100vh;

  padding-top: 80px;
}
/* moves the whole intro along the y axis - translate y -40px  */
/* https://stackoverflow.com/questions/46569692/displaying-flexbox-centered-but-align-items-left-like-text-align-left helped with fixing some issues */

.hero {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 6px;
  margin-top: -40px;
  /* transform: translateY(-40px); */
  /* transform for moving content a little higher, looks too low on mobile */
}

.hero-about {
  /* flex: 1; */
  display: flex;
  padding-top: 70px;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  margin: 0px auto;
  flex: 1 0 auto;
  margin-left: 23%;
  /* text-align: left; */
  gap: 6px;
  /* transform: translateY(-70px); */
}

.hero-about p {
  font-family: "Syne", sans-serif;
  color: #ffffffeb;
  letter-spacing: 1px;
  font-weight: 700;
  font-size: 0.9rem;

  border-radius: 30px;
  padding: 14px 24px;
  white-space: normal;
  background-color: #abfa8cb4;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0.1),
    inset 0 1px 0 rgba(255, 255, 255, 0.5),
    inset 0 -1px 0 rgba(255, 255, 255, 0.1),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.827);
}

.hero-about li {
  font-family: "Syne", sans-serif;
  color: #ffffffeb;
  letter-spacing: 1px;
  list-style-type: none;
  font-weight: 700;
  font-size: 0.9rem;
  border-radius: 30px;
  padding: 12px 20px;
  white-space: normal;
  background-color: #abfa8cb4;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0.1),
    inset 0 1px 0 rgba(255, 255, 255, 0.5),
    inset 0 -1px 0 rgba(255, 255, 255, 0.1),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.827);
}

.hero-about h5 {
  font-family: "Syne", sans-serif;
  color: #ffffffeb;
  letter-spacing: 1px;
  font-weight: 400;
  font-size: 1.2rem;
  border-radius: 30px;
  padding: 12px 20px;
  white-space: normal;
  background-color: #ff91b5;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0.1),
    inset 0 1px 0 rgba(255, 255, 255, 0.5),
    inset 0 -1px 0 rgba(255, 255, 255, 0.1),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.827);
}

.hero-about h2 {
  font-family: "Syne", sans-serif;
  color: #ffffffeb;
  letter-spacing: 1px;
  font-weight: 800;
  font-size: 1.2rem;
  border-radius: 30px;
  padding: 14px 22px;
  white-space: normal;
  background-color: #ff91b5;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0.1),
    inset 0 1px 0 rgba(255, 255, 255, 0.5),
    inset 0 -1px 0 rgba(255, 255, 255, 0.1),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.827);
}

/* h1 {
  font-family: "Syne";
  margin-top: 25px;
  margin-left: 20px;
  font-size: 26px;
  padding: 10px;
  color: #fff;
} */

h1 {
  font-family: "Syne", sans-serif;
  color: #ffffffeb;
  letter-spacing: 1px;
  font-weight: 800;
  font-size: 1.2rem;
  border-radius: 30px;
  padding: 12px 20px;
  white-space: normal;
  text-align: center;

  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0.1),
    inset 0 1px 0 rgba(255, 255, 255, 0.877),
    inset 0 -1px 0 rgba(255, 255, 255, 0.64),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.911);
}

h2 {
  font-family: "Syne", sans-serif;
  color: #ffffffeb;
  letter-spacing: 1px;
  font-weight: 800;
  font-size: 1.2rem;
  border-radius: 30px;
  padding: 12px 20px;
  white-space: normal;
  text-align: center;

  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0.1),
    inset 0 1px 0 rgba(255, 255, 255, 0.5),
    inset 0 -1px 0 rgba(255, 255, 255, 0.1),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.827);
}

h5 {
  text-transform: italic;
  font-family: "Syne";
  font-size: 15px;
  font-weight: 600;
  padding: 10px;
  color: #fff;
  margin-left: 0;
  text-align: center;
  font-style: italic;
}

.btn {
  font-family: "Minecraft", sans-serif;
  font-size: 0.8rem;
  font-weight: 700;

  letter-spacing: 1.2px;
  color: #ffffff;
  text-decoration: none;
  padding: 12px 20px;
  border-radius: 33px;
  display: inline-block;
  background-color: #ff91b5;
  box-shadow:
    0 8px 32px rgba(179, 255, 178, 0.277),
    inset 0 1px 0 rgba(255, 255, 255, 0.49),
    inset 0 -1px 0 rgba(255, 255, 255, 0.346),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.658);
}

.btn-socials {
  font-family: "Minecraft", sans-serif;
  font-size: 0.8rem;
  font-weight: 700;

  letter-spacing: 1.2px;
  color: #ffffff;
  text-decoration: none;
  padding: 12px 20px;
  border-radius: 33px;
  display: inline-block;
  background-color: #abfa8cb4;
  box-shadow:
    0 8px 32px rgba(179, 255, 178, 0.277),
    inset 0 1px 0 rgba(255, 255, 255, 0.49),
    inset 0 -1px 0 rgba(255, 255, 255, 0.346),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.658);
}

.btn-socials:hover {
  background-color: #ffffff03;
  transition: all 0.3s ease-in-out;
  transition:
    all 0.3s ease-in-out,
    border-color 0.3s ease-in-out;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0.1),
    inset 0 1px 0 rgba(255, 255, 255, 0.425),
    inset 0 -1px 0 rgba(255, 255, 255, 0.346),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.507);
}

.btn:hover {
  background-color: #ffffff03;
  transition: all 0.3s ease-in-out;
  transition:
    all 0.3s ease-in-out,
    border-color 0.3s ease-in-out;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0.1),
    inset 0 1px 0 rgba(255, 255, 255, 0.425),
    inset 0 -1px 0 rgba(255, 255, 255, 0.346),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.507);
}

nav ul {
  list-style: none;
}

.profile-image {
  width: 190px;
  border-radius: 50%;
  animation: bounce 1s infinite alternate;
}

@keyframes bounce {
  from {
    transform: translateY(0px);
  }

  to {
    transform: translateY(-6px);
  }
}

.main-logo {
  display: block;
  width: 180px;
}

.main-logo img {
  display: block;
  max-width: 100%;
  height: auto;
}

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 80px;
  padding: 0 20px;
  z-index: 100;
  box-sizing: border-box;
}

.nav-menu.active {
  right: 20px;
  background-color: #ffffff0a;
  /* #9efa8cb0 */
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0.137),
    inset 0 1px 0 rgba(255, 255, 255, 0.5),
    inset 0 -1px 0 rgba(255, 255, 255, 0.1),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.827);
}

.navbar .nav-menu {
  display: flex;
  align-items: center;
  margin-left: auto;
  /* margin-right: 28%; */
  /* margin-left: auto; */
}

.navbar .nav-link {
  margin: 0 1rem;
  background-color: #abfa8cc2;
  /* #abfa8cd6; nav button colour */
  letter-spacing: 1.2px;
  text-decoration: none;
  font-size: 0.7rem;
  font-family: "Minecraft", sans-serif;
  font-weight: 700;
  color: #ffffff;
  padding: 10px 20px;
  border-radius: 33px;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0),
    inset 0 1px 0 rgba(255, 255, 255, 0.322),
    inset 0 -1px 0 rgba(255, 255, 255, 0.1),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.658);
}

/* Transitions from CommunityPro template */
/* NAV BUTTONS */
.navbar .nav-link:hover {
  background-color: #8cfa9e00;

  transition: all 0.3s ease-in-out;
  transition:
    all 0.3s ease-in-out,
    border-color 0.3s ease-in-out;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0.1),
    inset 0 1px 0 rgba(255, 255, 255, 0.5),
    inset 0 -1px 0 rgba(255, 255, 255, 0.1),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.586);

  /* outline: 2px solid #ffd4e1; outlines the link */
}

.hamburger {
  display: none;
  flex-direction: column;
  gap: 5px;
  cursor: pointer;
}

.bar {
  width: 23px;
  height: 3px;
  background: white;
  border-radius: 30px;
}

/* https://www.w3schools.com/css/css_image_gallery.asp */
/* \Image gallery from W3 */
/* IMAGE GALLERY */

div.gallery-item div.desc {
  padding: 14px;
  margin-top: 10px;
  text-align: center;
  font-family: "Syne", sans-serif;
  color: #ffffffd6;
  background-color: #95e77493;
  border-radius: 20px;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0.099),
    inset 0 1px 0 rgba(255, 255, 255, 0.322),
    inset 0 -1px 0 rgba(255, 255, 255, 0.1),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.705);
  font-weight: 700;
}

div.project-gallery {
  display: grid;
  grid-template-columns: 1fr;
  gap: 30px;
  margin-top: 50px;
  padding: 30px;
  width: 100%;
  margin-left: 0;
  margin-right: 0;
  background-color: #95e7742d;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0),
    inset 0 1px 0 rgba(255, 255, 255, 0.771),
    inset 0 -1px 0 rgba(255, 255, 255, 0.897),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.658);
}

div.project-item {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
}

div.project-item .desc {
  font-size: 0.9rem;
  padding: 30px;
  border-radius: 30px;
  margin-top: 10px;
  text-align: left;
  font-family: "Syne", sans-serif;
  color: #ffffff;
  font-weight: 700;
  background-color: #95e774a4;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0),
    inset 0 1px 0 rgba(255, 255, 255, 0.771),
    inset 0 -1px 0 rgba(255, 255, 255, 0.897),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.658);
}

div.project-item iframe {
  width: 100%;
  height: 300px;
  border-radius: 50px;
}

div.project-item img {
  width: 100%;
  height: 300px;
  border-radius: 50px;
}
/* div.gallery-item p {
  display: flex;
  flex-direction: column;
  justify-content: center;
  grid-template-columns: 1fr 1fr;

  gap: 20px;
  align-items: center;
} */

div.gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 13px;
  margin-top: 50px;
  padding: 20px;

  background-color: #ffffff;
  box-shadow:
    0 8px 32px rgba(0, 0, 0, 0),
    inset 0 1px 0 rgba(255, 255, 255, 0.771),
    inset 0 -1px 0 rgba(255, 255, 255, 0.897),
    inset 0 0 12px 6px rgba(255, 255, 255, 0.658);
}

div.gallery-item {
  width: 400px;
}

/* div.gallery-item:hover {
  border-radius: 20px;
  border-color: #f49999;
  box-shadow: #f49999;
} */

div.gallery-item img {
  width: 100%;
  height: auto;
}

@media (max-width: 767px) {
  /* .navbar .nav-menu {
    display: none;
  } */
  /* The nav menu is rounded, top right corner, transition when it pops out, 
  it's a simple design */

  body {
    /* or 100% auto */
    background-size: cover;
    background-position: 82% 32%;
    background-repeat: no-repeat;
    /* background-position: center;
    background-size: cover; */
  }

  div.project-item {
    grid-template-columns: 1fr;
  }

  .hero-about {
    width: 90%;
    max-width: 400px;
    margin: 0 auto;
    align-items: left;
  }

  div.gallery {
    grid-template-columns: 1fr;
    gap: 13px;
    justify-items: center;
  }

  div.gallery-item {
    width: 100%; /* so the images can fit to the screen*/
    border-radius: 20%;
  }

  /* width based on screesize */

  .nav-menu {
    position: fixed;

    top: 80px;
    gap: 4px;
    right: -100%;
    display: flex;
    flex-direction: column;
    width: min(80vw, 320px);
    padding: 4rem;
    transition: 0.3s;
    box-sizing: border-box;
    border-radius: 30px;
  }

  h1,
  h5,
  h2 {
    max-width: 90vw;
  }

  .nav-menu.active {
    right: 20px;
  }

  .hamburger {
    display: flex;
    position: fixed;
    right: 40px;
    top: 30px;
    z-index: 200;
  }

  .nav-menu li {
    margin-bottom: 1rem;
    width: 100%;
    text-align: center;
  }
  /* .navbar .btn {
    margin: 0;
    margin-top: 1rem;
    color: white;
  } */

  /* change position of burger menu */
  /* .hamburger {
    color: #ffffff;
    font-family: "Minecraft";
    margin-top: 16px;
    display: flex;
    cursor: pointer;
    padding: 0.2rem 0.4rem;
  } */

  .hamburger.active {
    border: 1px dotted rgb(255, 255, 255);
  }

  .hamburger.active .bar:nth-child(2) {
    opacity: 0;
  }

  .hamburger.active .bar:nth-child(1) {
    transform: translateY(6px) rotate(45deg);
  }

  .hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }
}

#footer {
  font-family: "Minecraft";
  color: white;
  margin-top: auto;
  bottom: 0;
  margin-left: 20px;
  margin-bottom: 16px;
  left: 0;
  font-size: 12px;
  width: 100%;
  padding: 10px;
  box-shadow: none;
  text-align: left;
}
